# Enum Class AuthenticatorBase.AllowCorsPreflight

java.lang.Object
java.lang.Enum<AuthenticatorBase.AllowCorsPreflight>
org.apache.catalina.authenticator.AuthenticatorBase.AllowCorsPreflight

All Implemented Interfaces:
  `Serializable`, `Comparable<AuthenticatorBase.AllowCorsPreflight>`, `Constable`

Enclosing class:
  `AuthenticatorBase`

protected static enum AuthenticatorBase.AllowCorsPreflight extends Enum<AuthenticatorBase.AllowCorsPreflight>

Author:
  Craig R. McClanahan

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ALWAYS`
  `FILTER`
  `NEVER`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static AuthenticatorBase.AllowCorsPreflight`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static AuthenticatorBase.AllowCorsPreflight[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### NEVER

    public static final AuthenticatorBase.AllowCorsPreflight NEVER

  - ### FILTER

    public static final AuthenticatorBase.AllowCorsPreflight FILTER

  - ### ALWAYS

    public static final AuthenticatorBase.AllowCorsPreflight ALWAYS

- ## Method Details

  - ### values

    public static AuthenticatorBase.AllowCorsPreflight[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static AuthenticatorBase.AllowCorsPreflight valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null